<template>
    <div class="mx-9 mt-5">
    <v-row>
        <v-col cols="4" v-for="article in articles" :key="article.id">
            <v-card
             >
          <v-img
                src="https://cdn.vuetifyjs.com/images/cards/sunshine.jpg"
                height="200px"
                cover
         ></v-img>
      <v-card-title>
        {{ article.title }}
      </v-card-title>
  
      <v-card-subtitle>
        {{ article.slug }}
      </v-card-subtitle>
      <v-card-text>
           {{ article.body }}
          </v-card-text>
  
     
          <v-divider></v-divider>
  
         
          <v-card-actions>
        <v-btn
          color="orange-lighten-2"
          variant="text"
          @click="getArticleDetails(article.slug)"
        >
          Read Article
        </v-btn>
        <v-btn
        @click="deleteArticle(article.slug)"
        v-if="currentUser.username === article.author.username"
        >
          Delete
        </v-btn>

      </v-card-actions>
    </v-card>
        </v-col>
    </v-row>
</div>
    
  </template>
  <script>
  import { getterTypes } from '@/modules/types'
import  {mapGetters} from 'vuex'
  export default {
    data() {
        return {
            show: false,
            
        }
      
    },
    props:{
        articles:{
            type:Array,
            required:true
        }
    },
    methods:{
      getArticleDetails(slug){
        this.$router.push(`/articles/${slug}`)
        console.log(slug)
      },
      deleteArticle(slug){
      this.$store.dispatch('delete_article', slug)
      }
    },
    computed:{
      ...mapGetters({
        currentUser:getterTypes.currentUser
      })
    },
  }
</script>